body {
  background-color: #f3f3f3 !important;
}

.switch {
  position: relative;
  display: inline-block;
  margin-bottom: 0 !important;
  width: 60px;
  height: 23px;
}

.switch input {
  display: none;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #cfc7c7;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 10px;
  width: 10px;
  left: 7px;
  right: 10px;
  bottom: 4px;
  top: 6px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked+.slider {
  background-color: #24afda;
}

input:focus+.slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
  -webkit-transform: translateX(35px);
  -ms-transform: translateX(35px);
  transform: translateX(35px);
}

/*------ ADDED CSS ---------*/
.on {
  display: none;
}

.on,
.off {
  color: white;
  position: absolute;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  font-size: 10px;
  font-family: Verdana, sans-serif;
}

input:checked+.slider .on {
  display: block;
}

input:checked+.slider .off {
  display: none;
}

/*--------- END --------*/

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.label-required::after {
  content: " *";
  color: red;
}

.table-striped tbody tr:nth-of-type(odd) {
  background-color: #8787870d !important;
}

.modal {
  padding-right: 0 !important;
}


.table-detail {
  font-size: 9.4pt;
  min-width: 400px;
}

.table-detail th,
.table-detail td {
  padding: 5px 5px !important;
  border: 1px solid #e5e5e5 !important;
  font-size: 12px !important;
}

.table-detail th {
  background: #f3f3f3 !important;
  font-weight: 600;
}

.table-detail td {
  padding: 18px 20px !important;
  font-size: 9.3pt;
}

table {
  border-collapse: separate !important;
  border-spacing: 1px !important;
}

table.table-detail td {
  padding: 5px !important;
}

.vue__time-picker input.display-time {
  width: 100% !important;
}

.btn-primary {
  background-color: #1e3c72 !important;
  border: 1px #1e3c72 solid !important;
}

.navbar-custom {
  background-color: #fff !important;
  border-bottom: 1px #f2f2f2 solid !important;
  /* For browsers that do not support gradients */
}

.modal-header {
  padding: 10px !important;
  background: #1e3c72 !important;
}
.modal-header .modal-title {
  font-size: 14px !important;  
}

a:hover {
  color: #1e3c72;
}
.mx-input:disabled,
.mx-input.disabled {
  color: #6c757d !important;
}

.form-control {
  font-size: 12px !important;
}

label {
  font-size: 11px !important;
  margin-bottom: 3px !important;
}

.form-group {
  margin-bottom: 5px;
}

.custom-file {
  font-size: 12px !important;
}

.mx-input {
  font-size: 12px !important;
}

.text-xs {
  font-size: 12px;
}

.card {
  box-shadow: 0 0 20px 0 rgb(76 87 125 / 2%) !important;
}

.c-primary {
  color: #1e3c72 !important
}

.mx-datepicker {
  width: 100% !important;
}

.nav-tabs .nav-item .nav-link.active {
  color: #348cd4 !important;
}

.text-white {
  color: #fff !important;
}
@media(max-width:991px){
  #topnav .navigation-menu>li .submenu li a{
    color: #fff !important;
  }
}

.nav-top-custom-group{
  color: #fff !important;
}
.nav-top-custom-group a, .nav-top-custom-group i{
  color: #fff !important;
}

.nav-top-custom-link.active, .nav-top-custom-link.active i{
  color: orange !important;
}
.nav-top-custom-link:hover, .nav-top-custom-link:hover i{
  color: orange !important;
}
.custom-vue-datatable{
  font-size: 12px !important;
}

.datatable-component .btn-xs{
  padding: 3px 5px !important;
  font-size: 8px !important;
}
.btn-xs{
  font-size: 12px;
  padding: 5px !important;
}
.bg-white{
  background-color: #fff !important;
}

.navbar-custom{
  display: none !important;
  height: 0px !important;
}

#topnav .topbar-menu{
  margin-top: 0 !important;
}

@media(max-width:991px){
  .navbar-custom{
    display: block !important;
    height: 70px !important;
  }
  #topnav .topbar-menu{
    margin-top: 70px !important;
  }
  
}

@media(max-width:991px){
  .menu-desktop-profile{
    display: none !important;
  }
  .nav-group-top-left-right{
    display: block !important;
  }
}


body[data-layout=horizontal] .content-page{
  padding-top: 0 !important;
}

.page-title-box{
  padding: 10px 0 !important;
}
.page-title-box .page-title-right{    
    font-size: 12px !important;
    margin-top: 0 !important;
}
.page-title-box .page-title{
  font-size: 14px !important;
  line-height: unset !important;
}

.page-title-box .breadcrumb{
  padding: 0 !important
}

.card-body .header-title{
  font-size: 14px !important;
}

.card-body{
  padding: 15px 25px !important;
}

@page{
  size: auto;
}

.only-print{
  display: none;
}
.page-break{
  page-break-after: always;
}
@media print {
  .page-break{
    page-break-after: always;
  }
  body{
    margin: 0 !important;
    padding: 0 !important;
    background-color: #fff !important;
    min-width: unset !important;
  }
  .no-print{
    display: none !important;
  }
  .only-print{
    display: unset !important;
    width: 100% !important;
    min-width: unset !important;
    max-width: 100% !important;
    margin: 0 !important;
  }
  @page{
    size: auto;
    margin: 0 !important;
    padding: 0 !important;
  }
}

@page{
  size: auto;
  margin: 0 !important;
  padding: 0 !important;
}

.group-print{  
  font-size:10px;
}

.kasir-group-wrapper select:focus,
.kasir-group-wrapper textarea:focus,
.kasir-group-wrapper input:focus {
  font-weight: bold !important;
  border: 2px solid #1e3c72 !important; /* Change the color as needed */
  outline: none; /* Removes default outline */
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); /* Optional: Adds a glow effect */
}

.kasir-group-wrapper button:focus{
  font-weight: bold !important;
  border: 4px solid #1e3c72 !important; /* Change the color as needed */
  outline: none; /* Removes default outline */
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); /* Optional: Adds a glow effect */
}


.swal2-actions button:focus{
  font-weight: bold !important;
  border: 4px solid #1e3c72 !important; /* Change the color as needed */
  outline: none; /* Removes default outline */
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); /* Optional: Adds a glow effect */
}




@media print{
  .modal-backdrop{
    display: none !important;
  }
  
  .swal2-container{
    display: none !important;    
  }
  .Vue-Toastification__container{
    display: none !important;
  }  
  body{
    margin: 0 !important;
    padding: 0 !important;
    background:#fff !important;
    overflow: unset !important
  }
  @page{
    size: auto;
  }
  .report-body-invoice {
    position:static !important;
    width:100%;
    padding:0 !important;
    margin:0 !important
  }
  .report-box-invoice {
    width: 100% !important;
    margin:auto;
    padding:0 !important;    
  }

  .page-break-after{
    margin-bottom:0 !important;
    page-break-after:always;
  }
}
.page-break-after{
  margin-bottom:15px;  
}




.report-box {
  display: block;
  margin-top: 70px;
  max-width: 700px;
  width: 100%;
  font-family: Arial, sans-serif;
  padding: 15px;
  background-color: #fff !important;
}

.table-report {
  width: 100% !important;
  color: black !important;
  font-family: Arial, sans-serif;
  font-size: 12px !important;
}

.table-report tr th {
  padding: 5px !important;
  background-color: #ddd !important;
  font-weight: bold;
}

.table-report tr td {
  padding: 5px !important;
}

.table-report tbody tr:nth-child(even) {
  background-color: #f2f2f2;
}

.report-nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 2;
  background: #163f59 !important;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
}

.report-nav button {
  background: #fff;
  color: black !important;
  border-radius: 100px;
  width: 35px;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.highlight {
  background-color: yellow;
  /* Highlight color */
}

@media print {

  .highlight {
    background-color: none !important;
    /* Highlight color */
  }

  .report-nav {
    display: none !important;
  }

  .report-box {
    max-width: unset !important;
    margin-top: 0 !important;
  }

  .report-body {
    position: absolute;
    left: 0 !important;
    top: 0 !important;
    width: 100%;
  }
}


.text-detail{
  font-size: 14px;
  color: black;
  font-weight: 500;
}

.modal-dialog{
  max-width: 860px !important;
}